---
- name: '[JAVA] Install jenv'
  git:
    repo: 'https://github.com/jenv/jenv.git'
    dest: '{{ user.homedir }}/.jenv'
  become: true
  become_user: '{{ user.username }}' 

- name: '[JAVA] Create jenv version folder'
  file:
    path: '{{ user.homedir }}/.jenv/versions'
    state: directory
    mode: '0755'
  become: true
  become_user: '{{ user.username }}'
  
- name: '[JAVA] Add JDK 11 to jenv'
  command: '{{ user.homedir }}/.jenv/bin/jenv add /usr/lib/jvm/adoptopenjdk-11-hotspot-amd64'
  become: true
  become_user: '{{ user.username }}'

- name: '[JAVA] Add JDK 16 to jenv'
  command: '{{ user.homedir }}/.jenv/bin/jenv add /usr/lib/jvm/adoptopenjdk-16-hotspot-amd64'
  become: true
  become_user: '{{ user.username }}'

- name: '[JAVA] Set java 11 to default'
  command: '{{ user.homedir }}/.jenv/bin/jenv global 11'
  become: true
  become_user: '{{ user.username }}'